Bug 1145626 - [RFE] Javascript validation of passwords on Edit User screen
Summary: [RFE] Javascript validation of passwords on Edit User screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1145307
TreeView+ depends on / blocked
 
Reported: 2014-09-23 11:51 UTC by Dominic Cleal
Modified: 2017-02-23 20:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1145307
Environment:
Last Closed: 2015-08-12 05:16:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7587 0 None None None 2016-04-22 15:09:42 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Dominic Cleal 2014-09-23 11:51:05 UTC
+++ This bug was initially created as a clone of Bug #1145307 +++

Description of problem:
We don't do any validation or assisting around the creation of passwords on the Edit User page. They can enter passwords that don't match without knowing until they try to change it. There's no strength indicator either.

Version-Release number of selected component (if applicable):
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
rhel-osp-installer-0.1.10-2.el6ost.noarch
openstack-foreman-installer-2.0.20-1.el6ost.noarch


Additional info:

Comment 1 Dominic Cleal 2014-09-23 11:51:27 UTC
Created redmine issue http://projects.theforeman.org/issues/7587 from this bug

Comment 4 Bryan Kearney 2014-10-10 10:04:28 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7587 has been closed
-------------
b sh
Yeah, you're right. Well, anyway - that's its github repo:

https://github.com/ablanco/jquery.pwstrength.bootstrap

;-)
-------------
Ohad Levy
b sh wrote:
> Yeah, you're right. Well, anyway - that's its github repo:
> 
> https://github.com/ablanco/jquery.pwstrength.bootstrap
> 
> ;-)

you probably want to consider something like a rails engine with the assets already, very quick googling showed https://github.com/Skizzk/jquery-pwstrength-bootstrap-rails


-------------
Vanya Jauhal
Applied in changeset commit:9f2feee3f395d044f0daffad5950281cce4b74aa.

Comment 7 jcallaha 2015-02-13 20:16:54 UTC
Verified.

Version Tested:
Satellite-6.1.0-RHEL-6-20150210.0
Satellite-6.1.0-RHEL-7-20150210.0

Comment 8 Bryan Kearney 2015-08-11 13:35:15 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:16:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.